<html>
<head>
<title>OgreTextureUnitState.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreTextureUnitState.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreTextureUnitState_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __TextureUnitState_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __TextureUnitState_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreCommon_8h.html">OgreCommon.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreBlendMode_8h.html">OgreBlendMode.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreMatrix4_8h.html">OgreMatrix4.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreIteratorWrappers_8h.html">OgreIteratorWrappers.h</a>&quot;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &quot;<a class="code" href="OgreString_8h.html">OgreString.h</a>&quot;</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include &quot;<a class="code" href="OgreTexture_8h.html">OgreTexture.h</a>&quot;</span>
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 <span class="keyword">namespace </span>Ogre {
<a name="l00061"></a><a class="code" href="classOgre_1_1TextureUnitState.html">00061</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1TextureUnitState.html" title="Class representing the state of a single texture unit during a Pass of a Technique, of a Material.">TextureUnitState</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">TextureUnitStateAlloc</a>
<a name="l00062"></a>00062     {
<a name="l00063"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a06b786d8e0847dfe9cc15e1dea308fcd">00063</a>         <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a>;
<a name="l00064"></a>00064     <span class="keyword">public</span>:
<a name="l00070"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a717b14961a636b3a18b8ab3dcef61626">00070</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1TextureUnitState.html#a717b14961a636b3a18b8ab3dcef61626" title="Definition of the broad types of texture effect you can apply to a texture unit.">TextureEffectType</a>
<a name="l00071"></a>00071         {
<a name="l00073"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a717b14961a636b3a18b8ab3dcef61626a2f0676d96ba378e32c3087fff9b7e73e">00073</a>             <a class="code" href="classOgre_1_1TextureUnitState.html#a717b14961a636b3a18b8ab3dcef61626a2f0676d96ba378e32c3087fff9b7e73e" title="Generate all texture coords based on angle between camera and vertex.">ET_ENVIRONMENT_MAP</a>,
<a name="l00075"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a717b14961a636b3a18b8ab3dcef61626ae6f4dff5b324b7aa28253c37702a5131">00075</a>             <a class="code" href="classOgre_1_1TextureUnitState.html#a717b14961a636b3a18b8ab3dcef61626ae6f4dff5b324b7aa28253c37702a5131" title="Generate texture coords based on a frustum.">ET_PROJECTIVE_TEXTURE</a>,
<a name="l00077"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a717b14961a636b3a18b8ab3dcef61626addf3dd2bc4eeabca2968c71600c347aa">00077</a>             <a class="code" href="classOgre_1_1TextureUnitState.html#a717b14961a636b3a18b8ab3dcef61626addf3dd2bc4eeabca2968c71600c347aa" title="Constant u/v scrolling effect.">ET_UVSCROLL</a>,
<a name="l00079"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a717b14961a636b3a18b8ab3dcef61626ab5e67e4d891aad2e60925b216de34f08">00079</a>             <a class="code" href="classOgre_1_1TextureUnitState.html#a717b14961a636b3a18b8ab3dcef61626ab5e67e4d891aad2e60925b216de34f08" title="Constant u scrolling effect.">ET_USCROLL</a>,
<a name="l00081"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a717b14961a636b3a18b8ab3dcef61626a97f8687c21d13e08b89d22902919acaa">00081</a>             <a class="code" href="classOgre_1_1TextureUnitState.html#a717b14961a636b3a18b8ab3dcef61626a97f8687c21d13e08b89d22902919acaa" title="Constant u/v scrolling effect.">ET_VSCROLL</a>,
<a name="l00083"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a717b14961a636b3a18b8ab3dcef61626a9afa2c9da615898c1a045e19bb3e602b">00083</a>             <a class="code" href="classOgre_1_1TextureUnitState.html#a717b14961a636b3a18b8ab3dcef61626a9afa2c9da615898c1a045e19bb3e602b" title="Constant rotation.">ET_ROTATE</a>,
<a name="l00085"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a717b14961a636b3a18b8ab3dcef61626a97cd551c90f9f6000fe231f542815852">00085</a>             ET_TRANSFORM
<a name="l00086"></a>00086 
<a name="l00087"></a>00087         };
<a name="l00088"></a>00088 
<a name="l00094"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a72a88b1cf11053da98fa25f98689931e">00094</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1TextureUnitState.html#a72a88b1cf11053da98fa25f98689931e" title="Enumeration to specify type of envmap.">EnvMapType</a>
<a name="l00095"></a>00095         {
<a name="l00097"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a72a88b1cf11053da98fa25f98689931ea50895f1c891eedb007500965ca4c204a">00097</a>             <a class="code" href="classOgre_1_1TextureUnitState.html#a72a88b1cf11053da98fa25f98689931ea50895f1c891eedb007500965ca4c204a" title="Envmap based on vector from camera to vertex position, good for planar geometry.">ENV_PLANAR</a>,
<a name="l00099"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a72a88b1cf11053da98fa25f98689931ea5a2d57450ada903ba586826344b7dbcb">00099</a>             <a class="code" href="classOgre_1_1TextureUnitState.html#a72a88b1cf11053da98fa25f98689931ea5a2d57450ada903ba586826344b7dbcb" title="Envmap based on dot of vector from camera to vertex and vertex normal, good for curves.">ENV_CURVED</a>,
<a name="l00101"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a72a88b1cf11053da98fa25f98689931ea3983cce37fbce61c118d202278166be9">00101</a>             <a class="code" href="classOgre_1_1TextureUnitState.html#a72a88b1cf11053da98fa25f98689931ea3983cce37fbce61c118d202278166be9" title="Envmap intended to supply reflection vectors for cube mapping.">ENV_REFLECTION</a>,
<a name="l00103"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a72a88b1cf11053da98fa25f98689931eae1644f418a586fea471d808485a7a036">00103</a>             ENV_NORMAL
<a name="l00104"></a>00104         };
<a name="l00105"></a>00105 
<a name="l00111"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a942a1ce66d0909d29ed09c98e9e6d82d">00111</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1TextureUnitState.html#a942a1ce66d0909d29ed09c98e9e6d82d" title="Useful enumeration when dealing with procedural transforms.">TextureTransformType</a>
<a name="l00112"></a>00112         {
<a name="l00113"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a942a1ce66d0909d29ed09c98e9e6d82da46631ede4b31d448ebb891daf94cd526">00113</a>             <a class="code" href="classOgre_1_1TextureUnitState.html#a942a1ce66d0909d29ed09c98e9e6d82da46631ede4b31d448ebb891daf94cd526">TT_TRANSLATE_U</a>,
<a name="l00114"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a942a1ce66d0909d29ed09c98e9e6d82da81757d80ac644a8da31f107a9cc21fdc">00114</a>             <a class="code" href="classOgre_1_1TextureUnitState.html#a942a1ce66d0909d29ed09c98e9e6d82da81757d80ac644a8da31f107a9cc21fdc">TT_TRANSLATE_V</a>,
<a name="l00115"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a942a1ce66d0909d29ed09c98e9e6d82da7160eae1144aeb0cb6428416e465fd88">00115</a>             <a class="code" href="classOgre_1_1TextureUnitState.html#a942a1ce66d0909d29ed09c98e9e6d82da7160eae1144aeb0cb6428416e465fd88">TT_SCALE_U</a>,
<a name="l00116"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a942a1ce66d0909d29ed09c98e9e6d82da6e85f00afb893c2bace9a394e5ac9f95">00116</a>             <a class="code" href="classOgre_1_1TextureUnitState.html#a942a1ce66d0909d29ed09c98e9e6d82da6e85f00afb893c2bace9a394e5ac9f95">TT_SCALE_V</a>,
<a name="l00117"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a942a1ce66d0909d29ed09c98e9e6d82daecf829c4f898451d496f56e774e0eacf">00117</a>             TT_ROTATE
<a name="l00118"></a>00118         };
<a name="l00119"></a>00119 
<a name="l00125"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a47c5a9f4fc08159b99bdc51103bcf852">00125</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1TextureUnitState.html#a47c5a9f4fc08159b99bdc51103bcf852" title="Texture addressing modes - default is TAM_WRAP.">TextureAddressingMode</a>
<a name="l00126"></a>00126         {
<a name="l00128"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a47c5a9f4fc08159b99bdc51103bcf852a9421f7d4fa30994823c3a011ca693a8d">00128</a>             <a class="code" href="classOgre_1_1TextureUnitState.html#a47c5a9f4fc08159b99bdc51103bcf852a9421f7d4fa30994823c3a011ca693a8d" title="Texture wraps at values over 1.0.">TAM_WRAP</a>,
<a name="l00130"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a47c5a9f4fc08159b99bdc51103bcf852a2f132fdcdbeea6b30d8cb84f2fc50239">00130</a>             <a class="code" href="classOgre_1_1TextureUnitState.html#a47c5a9f4fc08159b99bdc51103bcf852a2f132fdcdbeea6b30d8cb84f2fc50239" title="Texture mirrors (flips) at joins over 1.0.">TAM_MIRROR</a>,
<a name="l00132"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a47c5a9f4fc08159b99bdc51103bcf852a01e4d16b7bc55a9718db2e5a3bf22378">00132</a>             <a class="code" href="classOgre_1_1TextureUnitState.html#a47c5a9f4fc08159b99bdc51103bcf852a01e4d16b7bc55a9718db2e5a3bf22378" title="Texture clamps at 1.0.">TAM_CLAMP</a>,
<a name="l00134"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a47c5a9f4fc08159b99bdc51103bcf852a4fe25e95df059a8d54bc3d9cf57986a0">00134</a>             TAM_BORDER
<a name="l00135"></a>00135         };
<a name="l00136"></a>00136 
<a name="l00138"></a><a class="code" href="structOgre_1_1TextureUnitState_1_1UVWAddressingMode.html">00138</a>         <span class="keyword">struct </span><a class="code" href="structOgre_1_1TextureUnitState_1_1UVWAddressingMode.html" title="Texture addressing mode for each texture coordinate.">UVWAddressingMode</a>
<a name="l00139"></a>00139         {
<a name="l00140"></a><a class="code" href="structOgre_1_1TextureUnitState_1_1UVWAddressingMode.html#a17f72c5a85d6b0bf30feb2c0b5b24fd2">00140</a>             <a class="code" href="classOgre_1_1TextureUnitState.html#a47c5a9f4fc08159b99bdc51103bcf852" title="Texture addressing modes - default is TAM_WRAP.">TextureAddressingMode</a> u, v, <a class="code" href="structOgre_1_1TextureUnitState_1_1UVWAddressingMode.html#a17f72c5a85d6b0bf30feb2c0b5b24fd2">w</a>;
<a name="l00141"></a>00141         };
<a name="l00142"></a>00142 
<a name="l00145"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a2584766311cf6d0eaada7be28c287cc3">00145</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1TextureUnitState.html#a2584766311cf6d0eaada7be28c287cc3" title="Enum identifying the frame indexes for faces of a cube map (not the composite 3D type.">TextureCubeFace</a>
<a name="l00146"></a>00146         {
<a name="l00147"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a2584766311cf6d0eaada7be28c287cc3aa9d74ce7d0576d0dda5b5046a6434529">00147</a>             CUBE_FRONT = 0,
<a name="l00148"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a2584766311cf6d0eaada7be28c287cc3a4459a171ecd0fe942dc5b5f8e517ecb2">00148</a>             CUBE_BACK = 1,
<a name="l00149"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a2584766311cf6d0eaada7be28c287cc3a2062c3ecab68e4d86345293283f69a19">00149</a>             CUBE_LEFT = 2,
<a name="l00150"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a2584766311cf6d0eaada7be28c287cc3a5044b1ee092361549f2ea953ed344b0a">00150</a>             CUBE_RIGHT = 3,
<a name="l00151"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a2584766311cf6d0eaada7be28c287cc3ab085d126cff272045a1e616adbd2d726">00151</a>             CUBE_UP = 4,
<a name="l00152"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a2584766311cf6d0eaada7be28c287cc3a819e8a0cf0892c671d2fb4835780a12a">00152</a>             CUBE_DOWN = 5
<a name="l00153"></a>00153         };
<a name="l00154"></a>00154 
<a name="l00157"></a><a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html">00157</a>         <span class="keyword">struct </span><a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html" title="Internal structure defining a texture effect.">TextureEffect</a> {
<a name="l00158"></a><a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#aded68c8d04446c4e9b9616f356be06de">00158</a>             <a class="code" href="classOgre_1_1TextureUnitState.html#a717b14961a636b3a18b8ab3dcef61626" title="Definition of the broad types of texture effect you can apply to a texture unit.">TextureEffectType</a> <a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#aded68c8d04446c4e9b9616f356be06de">type</a>;
<a name="l00159"></a><a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a3436e57eb0e5f928522ef07a93b11e2d">00159</a>             <span class="keywordtype">int</span> <a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a3436e57eb0e5f928522ef07a93b11e2d">subtype</a>;
<a name="l00160"></a><a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a91a3e4c00a58f31c59aa1081e62d0b73">00160</a>             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> arg1, <a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a91a3e4c00a58f31c59aa1081e62d0b73">arg2</a>;
<a name="l00161"></a><a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a4727405325577a8151cd706ef6bef824">00161</a>             <a class="code" href="group__General.html#gabf2e0412a783a6f708ca1a58abb45c1b" title="Enumerates the wave types usable with the Ogre engine.">WaveformType</a> <a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a4727405325577a8151cd706ef6bef824">waveType</a>;
<a name="l00162"></a><a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a03b721b43c1f02ce9a965c2c8422080e">00162</a>             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a03b721b43c1f02ce9a965c2c8422080e">base</a>;
<a name="l00163"></a><a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a4612d326766998c6a7ea18a9e1960e4a">00163</a>             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a4612d326766998c6a7ea18a9e1960e4a">frequency</a>;
<a name="l00164"></a><a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#ae1445ba754865180a9472c53bb34e479">00164</a>             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#ae1445ba754865180a9472c53bb34e479">phase</a>;
<a name="l00165"></a><a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a96a6e183d58fede27a9707bd2ab84754">00165</a>             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a96a6e183d58fede27a9707bd2ab84754">amplitude</a>;
<a name="l00166"></a><a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#aaf355fbea2860f3bfcfa05b106ae91b7">00166</a>             <a class="code" href="classOgre_1_1Controller.html">Controller&lt;Real&gt;</a>* <a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#aaf355fbea2860f3bfcfa05b106ae91b7">controller</a>;
<a name="l00167"></a><a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a8f3fe2be82636153864de617fe5f8479">00167</a>             <span class="keyword">const</span> <a class="code" href="classOgre_1_1Frustum.html" title="A frustum represents a pyramid, capped at the near and far end which is used to represent either a vi...">Frustum</a>* <a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#a8f3fe2be82636153864de617fe5f8479">frustum</a>;
<a name="l00168"></a>00168         };
<a name="l00169"></a>00169 
<a name="l00172"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a169e531cd6f1f0c22e6a1c034706272b">00172</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1multimap.html">multimap&lt;TextureEffectType, TextureEffect&gt;::type</a> <a class="code" href="classOgre_1_1TextureUnitState.html#a169e531cd6f1f0c22e6a1c034706272b" title="Texture effects in a multimap paired array.">EffectMap</a>;
<a name="l00173"></a>00173 
<a name="l00176"></a>00176         <a class="code" href="classOgre_1_1TextureUnitState.html" title="Class representing the state of a single texture unit during a Pass of a Technique, of a Material.">TextureUnitState</a>(<a class="code" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a>* parent);
<a name="l00177"></a>00177 
<a name="l00178"></a>00178         <a class="code" href="classOgre_1_1TextureUnitState.html" title="Class representing the state of a single texture unit during a Pass of a Technique, of a Material.">TextureUnitState</a>(<a class="code" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a>* parent, <span class="keyword">const</span> <a class="code" href="classOgre_1_1TextureUnitState.html" title="Class representing the state of a single texture unit during a Pass of a Technique, of a Material.">TextureUnitState</a>&amp; oth );
<a name="l00179"></a>00179 
<a name="l00180"></a>00180         <a class="code" href="classOgre_1_1TextureUnitState.html" title="Class representing the state of a single texture unit during a Pass of a Technique, of a Material.">TextureUnitState</a> &amp; operator = ( <span class="keyword">const</span> <a class="code" href="classOgre_1_1TextureUnitState.html" title="Class representing the state of a single texture unit during a Pass of a Technique, of a Material.">TextureUnitState</a>&amp; oth );
<a name="l00181"></a>00181 
<a name="l00184"></a>00184         ~<a class="code" href="classOgre_1_1TextureUnitState.html" title="Class representing the state of a single texture unit during a Pass of a Technique, of a Material.">TextureUnitState</a>();
<a name="l00185"></a>00185 
<a name="l00192"></a>00192         <a class="code" href="classOgre_1_1TextureUnitState.html" title="Class representing the state of a single texture unit during a Pass of a Technique, of a Material.">TextureUnitState</a>( <a class="code" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a>* parent, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; texName, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> texCoordSet = 0);
<a name="l00193"></a>00193 
<a name="l00202"></a>00202         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getTextureName(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00203"></a>00203 
<a name="l00209"></a>00209         <span class="keywordtype">void</span> setTextureName( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <a class="code" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> ttype = <a class="code" href="group__Resources.html#ggae50520af6377ff8184cf79125cb9c4d7af1f732018f5a2a7d35233e2ceeb4ee0e" title="2D texture, used in combination with 2D texture coordinates (default)">TEX_TYPE_2D</a>);
<a name="l00210"></a>00210 
<a name="l00216"></a>00216         <span class="keywordtype">void</span> setTexture( <span class="keyword">const</span> <a class="code" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a>&amp; texPtr);
<a name="l00217"></a>00217 
<a name="l00264"></a>00264         <span class="keywordtype">void</span> setCubicTextureName( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">bool</span> forUVW = <span class="keyword">false</span> );
<a name="l00265"></a>00265 
<a name="l00310"></a>00310         <span class="keywordtype">void</span> setCubicTextureName( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>* <span class="keyword">const</span> names, <span class="keywordtype">bool</span> forUVW = <span class="keyword">false</span> );
<a name="l00311"></a>00311 
<a name="l00356"></a>00356         <span class="keywordtype">void</span> setCubicTexture( <span class="keyword">const</span> <a class="code" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a>* <span class="keyword">const</span> texPtrs, <span class="keywordtype">bool</span> forUVW = <span class="keyword">false</span> );
<a name="l00357"></a>00357 
<a name="l00379"></a>00379         <span class="keywordtype">void</span> setAnimatedTextureName( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> numFrames, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> duration = 0 );
<a name="l00380"></a>00380 
<a name="l00402"></a>00402         <span class="keywordtype">void</span> setAnimatedTextureName( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>* <span class="keyword">const</span> names, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> numFrames, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> duration = 0 );
<a name="l00403"></a>00403 
<a name="l00406"></a>00406         std::pair&lt; size_t, size_t &gt; getTextureDimensions( <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> frame = 0 ) <span class="keyword">const</span>;
<a name="l00407"></a>00407 
<a name="l00415"></a>00415         <span class="keywordtype">void</span> setCurrentFrame( <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> frameNumber );
<a name="l00416"></a>00416 
<a name="l00421"></a>00421         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> getCurrentFrame(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00422"></a>00422 
<a name="l00428"></a>00428         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getFrameTextureName(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> frameNumber) <span class="keyword">const</span>;
<a name="l00429"></a>00429 
<a name="l00437"></a>00437         <span class="keywordtype">void</span> setFrameTextureName(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> frameNumber);
<a name="l00438"></a>00438 
<a name="l00444"></a>00444         <span class="keywordtype">void</span> addFrameTextureName(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00452"></a>00452         <span class="keywordtype">void</span> deleteFrameTextureName(<span class="keyword">const</span> <span class="keywordtype">size_t</span> frameNumber);
<a name="l00457"></a>00457         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> getNumFrames(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00458"></a>00458 
<a name="l00459"></a>00459 
<a name="l00461"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a411bcf3e69280ce146f09ddc73d9e7e8">00461</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1TextureUnitState.html#a411bcf3e69280ce146f09ddc73d9e7e8" title="The type of unit to bind the texture settings to.">BindingType</a>
<a name="l00462"></a>00462         {
<a name="l00464"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a411bcf3e69280ce146f09ddc73d9e7e8a39c5f87a9b1c5873ece87f48cba19970">00464</a>             BT_FRAGMENT = 0,
<a name="l00468"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a411bcf3e69280ce146f09ddc73d9e7e8a857de1fa5e307a5a5b0df779ad4a470e">00468</a>             BT_VERTEX = 1
<a name="l00469"></a>00469         };
<a name="l00472"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a35a108a68c71c8267af4af8c1a819030">00472</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1TextureUnitState.html#a35a108a68c71c8267af4af8c1a819030" title="Enum identifying the type of content this texture unit contains.">ContentType</a>
<a name="l00473"></a>00473         {
<a name="l00475"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a35a108a68c71c8267af4af8c1a819030a1bffc0ebc06c072fd00b5e032ba3ce01">00475</a>             CONTENT_NAMED = 0,
<a name="l00477"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a35a108a68c71c8267af4af8c1a819030a781de9de8d083db90677da1176d8ba82">00477</a>             CONTENT_SHADOW = 1,
<a name="l00479"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a35a108a68c71c8267af4af8c1a819030a56ccbe92a25c96ed721ecbe17301bfc1">00479</a>             CONTENT_COMPOSITOR = 2
<a name="l00480"></a>00480         };
<a name="l00481"></a>00481 
<a name="l00491"></a>00491         <span class="keywordtype">void</span> setBindingType(BindingType bt);
<a name="l00492"></a>00492 
<a name="l00495"></a>00495         BindingType getBindingType(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00496"></a>00496 
<a name="l00502"></a>00502         <span class="keywordtype">void</span> setContentType(ContentType ct);
<a name="l00504"></a>00504         ContentType getContentType(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00505"></a>00505 
<a name="l00512"></a>00512         <span class="keywordtype">bool</span> isCubic(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00513"></a>00513 
<a name="l00518"></a>00518         <span class="keywordtype">bool</span> is3D(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00519"></a>00519 
<a name="l00524"></a>00524         <a class="code" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> getTextureType(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00525"></a>00525 
<a name="l00528"></a>00528         <span class="keywordtype">void</span> setDesiredFormat(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> desiredFormat);
<a name="l00529"></a>00529 
<a name="l00532"></a>00532         <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> getDesiredFormat(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00533"></a>00533 
<a name="l00536"></a>00536         <span class="keywordtype">void</span> setNumMipmaps(<span class="keywordtype">int</span> numMipmaps);
<a name="l00537"></a>00537 
<a name="l00540"></a>00540         <span class="keywordtype">int</span> getNumMipmaps(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00541"></a>00541 
<a name="l00544"></a>00544         <span class="keywordtype">void</span> setIsAlpha(<span class="keywordtype">bool</span> isAlpha);
<a name="l00545"></a>00545 
<a name="l00548"></a>00548         <span class="keywordtype">bool</span> getIsAlpha(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00549"></a>00549 
<a name="l00551"></a>00551         <span class="keywordtype">void</span> setHardwareGammaEnabled(<span class="keywordtype">bool</span> enabled);
<a name="l00553"></a>00553         <span class="keywordtype">bool</span> isHardwareGammaEnabled() <span class="keyword">const</span>;
<a name="l00554"></a>00554 
<a name="l00559"></a>00559         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> getTextureCoordSet(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00560"></a>00560 
<a name="l00568"></a>00568         <span class="keywordtype">void</span> setTextureCoordSet(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <span class="keyword">set</span>);
<a name="l00569"></a>00569 
<a name="l00585"></a>00585         <span class="keywordtype">void</span> setTextureTransform(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; xform);
<a name="l00586"></a>00586 
<a name="l00594"></a>00594         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; getTextureTransform(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00595"></a>00595 
<a name="l00608"></a>00608         <span class="keywordtype">void</span> setTextureScroll(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> u, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> v);
<a name="l00609"></a>00609 
<a name="l00614"></a>00614         <span class="keywordtype">void</span> setTextureUScroll(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> value);
<a name="l00615"></a>00615         <span class="comment">// Get texture uscroll value</span>
<a name="l00616"></a>00616         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getTextureUScroll(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00617"></a>00617 
<a name="l00622"></a>00622         <span class="keywordtype">void</span> setTextureVScroll(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> value);
<a name="l00623"></a>00623         <span class="comment">// Get texture vscroll value</span>
<a name="l00624"></a>00624         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getTextureVScroll(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00625"></a>00625 
<a name="l00630"></a>00630         <span class="keywordtype">void</span> setTextureUScale(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> value);
<a name="l00632"></a>00632         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getTextureUScale(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00633"></a>00633 
<a name="l00638"></a>00638         <span class="keywordtype">void</span> setTextureVScale(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> value);
<a name="l00640"></a>00640         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getTextureVScale(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00641"></a>00641 
<a name="l00655"></a>00655         <span class="keywordtype">void</span> setTextureScale(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> uScale, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> vScale);
<a name="l00656"></a>00656 
<a name="l00666"></a>00666         <span class="keywordtype">void</span> setTextureRotate(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a>&amp; angle);
<a name="l00668"></a>00668         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a>&amp; getTextureRotate(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00669"></a>00669 
<a name="l00675"></a>00675         <span class="keyword">const</span> UVWAddressingMode&amp; getTextureAddressingMode(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00676"></a>00676 
<a name="l00686"></a>00686         <span class="keywordtype">void</span> setTextureAddressingMode( TextureAddressingMode tam);
<a name="l00687"></a>00687 
<a name="l00694"></a>00694         <span class="keywordtype">void</span> setTextureAddressingMode( TextureAddressingMode u, 
<a name="l00695"></a>00695             TextureAddressingMode v, TextureAddressingMode w);
<a name="l00696"></a>00696 
<a name="l00703"></a>00703         <span class="keywordtype">void</span> setTextureAddressingMode( <span class="keyword">const</span> UVWAddressingMode&amp; uvw);
<a name="l00704"></a>00704 
<a name="l00712"></a>00712         <span class="keywordtype">void</span> setTextureBorderColour(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; colour);
<a name="l00713"></a>00713 
<a name="l00719"></a>00719         <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; getTextureBorderColour(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00720"></a>00720 
<a name="l00785"></a>00785         <span class="keywordtype">void</span> setColourOperationEx(
<a name="l00786"></a>00786             <a class="code" href="group__Materials.html#ga264ecab38a04d01e2c3158fa05ec1ee2" title="Expert list of valid texture blending operations, for use with TextureUnitState::setColourOperationEx...">LayerBlendOperationEx</a> op,
<a name="l00787"></a>00787             <a class="code" href="group__Materials.html#gae2ad78de344f35307ce35157c175625e" title="List of valid sources of values for blending operations used in TextureUnitState::setColourOperation ...">LayerBlendSource</a> source1 = <a class="code" href="group__Materials.html#ggae2ad78de344f35307ce35157c175625ea45f1a14042993f460992b3253ce6ae80" title="the colour derived from the texture assigned to this layer">LBS_TEXTURE</a>,
<a name="l00788"></a>00788             <a class="code" href="group__Materials.html#gae2ad78de344f35307ce35157c175625e" title="List of valid sources of values for blending operations used in TextureUnitState::setColourOperation ...">LayerBlendSource</a> source2 = <a class="code" href="group__Materials.html#ggae2ad78de344f35307ce35157c175625ea370f25da69381c74ca1fc51fde81e659" title="the colour as built up from previous stages">LBS_CURRENT</a>,
<a name="l00789"></a>00789 
<a name="l00790"></a>00790             <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; arg1 = <a class="code" href="classOgre_1_1ColourValue.html#a8eba66b2908f44f00f8d9c9ec25877de">ColourValue::White</a>,
<a name="l00791"></a>00791             <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; arg2 = <a class="code" href="classOgre_1_1ColourValue.html#a8eba66b2908f44f00f8d9c9ec25877de">ColourValue::White</a>,
<a name="l00792"></a>00792 
<a name="l00793"></a>00793             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> manualBlend = 0.0);
<a name="l00794"></a>00794 
<a name="l00813"></a>00813         <span class="keywordtype">void</span> setColourOperation( <span class="keyword">const</span> <a class="code" href="group__Materials.html#gabcbb38d1ac195e4be401f85b7ab0da8f" title="List of valid texture blending operations, for use with TextureUnitState::setColourOperation.">LayerBlendOperation</a> op);
<a name="l00814"></a>00814 
<a name="l00834"></a>00834         <span class="keywordtype">void</span> setColourOpMultipassFallback( <span class="keyword">const</span> <a class="code" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> sourceFactor, <span class="keyword">const</span> <a class="code" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> destFactor);
<a name="l00835"></a>00835 
<a name="l00838"></a>00838         <span class="keyword">const</span> <a class="code" href="classOgre_1_1LayerBlendModeEx.html" title="Class which manages blending of both colour and alpha components.">LayerBlendModeEx</a>&amp; getColourBlendMode(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00839"></a>00839 
<a name="l00842"></a>00842         <span class="keyword">const</span> <a class="code" href="classOgre_1_1LayerBlendModeEx.html" title="Class which manages blending of both colour and alpha components.">LayerBlendModeEx</a>&amp; getAlphaBlendMode(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00843"></a>00843 
<a name="l00846"></a>00846         <a class="code" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> getColourBlendFallbackSrc(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00847"></a>00847 
<a name="l00850"></a>00850         <a class="code" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> getColourBlendFallbackDest(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00851"></a>00851 
<a name="l00877"></a>00877         <span class="keywordtype">void</span> setAlphaOperation(<a class="code" href="group__Materials.html#ga264ecab38a04d01e2c3158fa05ec1ee2" title="Expert list of valid texture blending operations, for use with TextureUnitState::setColourOperationEx...">LayerBlendOperationEx</a> op,
<a name="l00878"></a>00878             <a class="code" href="group__Materials.html#gae2ad78de344f35307ce35157c175625e" title="List of valid sources of values for blending operations used in TextureUnitState::setColourOperation ...">LayerBlendSource</a> source1 = <a class="code" href="group__Materials.html#ggae2ad78de344f35307ce35157c175625ea45f1a14042993f460992b3253ce6ae80" title="the colour derived from the texture assigned to this layer">LBS_TEXTURE</a>,
<a name="l00879"></a>00879             <a class="code" href="group__Materials.html#gae2ad78de344f35307ce35157c175625e" title="List of valid sources of values for blending operations used in TextureUnitState::setColourOperation ...">LayerBlendSource</a> source2 = <a class="code" href="group__Materials.html#ggae2ad78de344f35307ce35157c175625ea370f25da69381c74ca1fc51fde81e659" title="the colour as built up from previous stages">LBS_CURRENT</a>,
<a name="l00880"></a>00880             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> arg1 = 1.0,
<a name="l00881"></a>00881             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> arg2 = 1.0,
<a name="l00882"></a>00882             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> manualBlend = 0.0);
<a name="l00883"></a>00883 
<a name="l00895"></a>00895         <span class="keywordtype">void</span> addEffect(TextureEffect&amp; effect);
<a name="l00896"></a>00896 
<a name="l00924"></a>00924         <span class="keywordtype">void</span> setEnvironmentMap(<span class="keywordtype">bool</span> enable, EnvMapType envMapType = ENV_CURVED);
<a name="l00925"></a>00925 
<a name="l00936"></a>00936         <span class="keywordtype">void</span> setScrollAnimation(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> uSpeed, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> vSpeed);
<a name="l00937"></a>00937 
<a name="l00946"></a>00946         <span class="keywordtype">void</span> setRotateAnimation(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> speed);
<a name="l00947"></a>00947 
<a name="l00967"></a>00967         <span class="keywordtype">void</span> setTransformAnimation( <span class="keyword">const</span> TextureTransformType ttype,
<a name="l00968"></a>00968             <span class="keyword">const</span> <a class="code" href="group__General.html#gabf2e0412a783a6f708ca1a58abb45c1b" title="Enumerates the wave types usable with the Ogre engine.">WaveformType</a> waveType, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> base = 0, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> frequency = 1, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> phase = 0, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> amplitude = 1 );
<a name="l00969"></a>00969 
<a name="l00970"></a>00970 
<a name="l00989"></a>00989         <span class="keywordtype">void</span> setProjectiveTexturing(<span class="keywordtype">bool</span> enabled, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Frustum.html" title="A frustum represents a pyramid, capped at the near and far end which is used to represent either a vi...">Frustum</a>* projectionSettings = 0);
<a name="l00990"></a>00990 
<a name="l00993"></a>00993         <span class="keywordtype">void</span> removeAllEffects(<span class="keywordtype">void</span>);
<a name="l00994"></a>00994 
<a name="l01000"></a>01000         <span class="keywordtype">void</span> removeEffect( <span class="keyword">const</span> TextureEffectType type );
<a name="l01001"></a>01001 
<a name="l01007"></a>01007         <span class="keywordtype">bool</span> isBlank(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l01008"></a>01008 
<a name="l01011"></a>01011         <span class="keywordtype">void</span> setBlank(<span class="keywordtype">void</span>);
<a name="l01012"></a>01012 
<a name="l01015"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a8d90872718c80548803b2d50a0b0db0f">01015</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1TextureUnitState.html#a8d90872718c80548803b2d50a0b0db0f" title="Tests if the texture associated with this unit has failed to load.">isTextureLoadFailing</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mTextureLoadFailed; }
<a name="l01016"></a>01016 
<a name="l01019"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a35ba5dfc7d336a92a1a3eccd260293eb">01019</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1TextureUnitState.html#a35ba5dfc7d336a92a1a3eccd260293eb" title="Tells the unit to retry loading the texture if it had failed to load.">retryTextureLoad</a>() { mTextureLoadFailed = <span class="keyword">false</span>; }
<a name="l01020"></a>01020 
<a name="l01022"></a>01022         <span class="keyword">const</span> EffectMap&amp; getEffects(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l01024"></a>01024         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getAnimationDuration(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l01025"></a>01025 
<a name="l01035"></a>01035         <span class="keywordtype">void</span> setTextureFiltering(<a class="code" href="group__General.html#ga21a0186392e9c9ce16d29c5568a773c5" title="High-level filtering options providing shortcuts to settings the minification, magnification and mip ...">TextureFilterOptions</a> filterType);
<a name="l01040"></a>01040         <span class="keywordtype">void</span> setTextureFiltering(<a class="code" href="group__General.html#gac1fc36ec2f4df4b2afa9fa39f9c66c06">FilterType</a> ftype, <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> opts);
<a name="l01049"></a>01049         <span class="keywordtype">void</span> setTextureFiltering(<a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> minFilter, <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> magFilter, <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> mipFilter);
<a name="l01051"></a>01051         <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> getTextureFiltering(<a class="code" href="group__General.html#gac1fc36ec2f4df4b2afa9fa39f9c66c06">FilterType</a> ftpye) <span class="keyword">const</span>;
<a name="l01052"></a>01052 
<a name="l01058"></a>01058         <span class="keywordtype">void</span> setTextureAnisotropy(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> maxAniso);
<a name="l01060"></a>01060         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> getTextureAnisotropy() <span class="keyword">const</span>;
<a name="l01061"></a>01061 
<a name="l01074"></a><a class="code" href="classOgre_1_1TextureUnitState.html#acfe54cc0ec2c1247a90094d004d77db1">01074</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1TextureUnitState.html#acfe54cc0ec2c1247a90094d004d77db1" title="Sets the bias value applied to the mipmap calculation.">setTextureMipmapBias</a>(<span class="keywordtype">float</span> bias) { mMipmapBias = bias; }
<a name="l01078"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a6ae07dacb0695b4cd5bf86d9930ef693">01078</a>         <span class="keywordtype">float</span> <a class="code" href="classOgre_1_1TextureUnitState.html#a6ae07dacb0695b4cd5bf86d9930ef693" title="Gets the bias value applied to the mipmap calculation.">getTextureMipmapBias</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mMipmapBias; }
<a name="l01079"></a>01079 
<a name="l01087"></a>01087         <span class="keywordtype">void</span> setCompositorReference(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; compositorName, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; textureName, <span class="keywordtype">size_t</span> mrtIndex = 0);
<a name="l01088"></a>01088 
<a name="l01090"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a37c4bca4ec426e2194ddce223134e8b1">01090</a>         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1TextureUnitState.html#a37c4bca4ec426e2194ddce223134e8b1" title="Gets the name of the compositor that this texture referneces.">getReferencedCompositorName</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mCompositorRefName; }
<a name="l01092"></a><a class="code" href="classOgre_1_1TextureUnitState.html#aad50c5195b1db9ef0d5af3ac81a88d8e">01092</a>         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1TextureUnitState.html#aad50c5195b1db9ef0d5af3ac81a88d8e" title="Gets the name of the texture in the compositor that this texture references.">getReferencedTextureName</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mCompositorRefTexName; }
<a name="l01094"></a><a class="code" href="classOgre_1_1TextureUnitState.html#add304d2f3f9bd99d8856eb6cb714f979">01094</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1TextureUnitState.html#add304d2f3f9bd99d8856eb6cb714f979" title="Gets the MRT index of the texture in the compositor that this texture references.">getReferencedMRTIndex</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mCompositorRefMrtIndex; }
<a name="l01095"></a>01095     
<a name="l01097"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a325c1f726b6757635c6de6d2b2db497c">01097</a>         <a class="code" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a>* <a class="code" href="classOgre_1_1TextureUnitState.html#a325c1f726b6757635c6de6d2b2db497c" title="Gets the parent Pass object.">getParent</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mParent; }
<a name="l01098"></a>01098 
<a name="l01100"></a>01100         <span class="keywordtype">void</span> _prepare(<span class="keywordtype">void</span>);
<a name="l01102"></a>01102         <span class="keywordtype">void</span> _unprepare(<span class="keywordtype">void</span>);
<a name="l01104"></a>01104         <span class="keywordtype">void</span> _load(<span class="keywordtype">void</span>);
<a name="l01106"></a>01106         <span class="keywordtype">void</span> _unload(<span class="keywordtype">void</span>);
<a name="l01108"></a>01108         <span class="keywordtype">bool</span> hasViewRelativeTextureCoordinateGeneration(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l01109"></a>01109 
<a name="l01111"></a>01111         <span class="keywordtype">bool</span> isLoaded(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l01113"></a>01113         <span class="keywordtype">void</span> _notifyNeedsRecompile(<span class="keywordtype">void</span>);
<a name="l01114"></a>01114 
<a name="l01120"></a>01120         <span class="keywordtype">void</span> setName(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l01122"></a><a class="code" href="classOgre_1_1TextureUnitState.html#adadef9033bfc0e3e0f657467a69df413">01122</a>         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1TextureUnitState.html#adadef9033bfc0e3e0f657467a69df413" title="Get the name of the Texture Unit State.">getName</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mName; }
<a name="l01123"></a>01123 
<a name="l01127"></a>01127         <span class="keywordtype">void</span> setTextureNameAlias(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l01130"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a91157035b59a30a26941c714348d9940">01130</a>         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1TextureUnitState.html#a91157035b59a30a26941c714348d9940" title="Gets the Texture Name Alias of the Texture Unit.">getTextureNameAlias</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mTextureNameAlias;}
<a name="l01131"></a>01131 
<a name="l01146"></a>01146         <span class="keywordtype">bool</span> applyTextureAliases(<span class="keyword">const</span> <a class="code" href="group__General.html#ga20898062bd79359acd1137276d9b0e37" title="Alias / Texture name pair (first = alias, second = texture name)">AliasTextureNamePairList</a>&amp; aliasList, <span class="keyword">const</span> <span class="keywordtype">bool</span> apply = <span class="keyword">true</span>);
<a name="l01147"></a>01147 
<a name="l01149"></a>01149         <span class="keywordtype">void</span> _notifyParent(<a class="code" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a>* parent);
<a name="l01150"></a>01150 
<a name="l01152"></a>01152         <span class="keyword">const</span> <a class="code" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a>&amp; _getTexturePtr(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l01154"></a>01154         <span class="keyword">const</span> <a class="code" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a>&amp; _getTexturePtr(<span class="keywordtype">size_t</span> frame) <span class="keyword">const</span>;
<a name="l01155"></a>01155     
<a name="l01157"></a>01157         <span class="keywordtype">void</span> _setTexturePtr(<span class="keyword">const</span> <a class="code" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a>&amp; texptr);
<a name="l01159"></a>01159         <span class="keywordtype">void</span> _setTexturePtr(<span class="keyword">const</span> <a class="code" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a>&amp; texptr, <span class="keywordtype">size_t</span> frame);
<a name="l01160"></a>01160 
<a name="l01164"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a64b0c99b0a3f9c756643760c57833b2d">01164</a>         <a class="code" href="classOgre_1_1Controller.html">Controller&lt;Real&gt;</a>* <a class="code" href="classOgre_1_1TextureUnitState.html#a64b0c99b0a3f9c756643760c57833b2d" title="Gets the animation controller (as created because of setAnimatedTexture) if it exists.">_getAnimController</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mAnimController; }
<a name="l01165"></a>01165 <span class="keyword">protected</span>:
<a name="l01166"></a>01166         <span class="comment">// State</span>
<a name="l01168"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a02c7c1e3b0b496b5a2104b615e35cc7c">01168</a> <span class="comment"></span>        <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1TextureUnitState.html#a02c7c1e3b0b496b5a2104b615e35cc7c" title="The current animation frame.">mCurrentFrame</a>;
<a name="l01169"></a>01169 
<a name="l01171"></a><a class="code" href="classOgre_1_1TextureUnitState.html#ad0f7fc91e92d142a4e68284600fe7e15">01171</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1TextureUnitState.html#ad0f7fc91e92d142a4e68284600fe7e15" title="Duration of animation in seconds.">mAnimDuration</a>;            
<a name="l01172"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a1feca5150a0892fdcfef56798e495abb">01172</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1TextureUnitState.html#a1feca5150a0892fdcfef56798e495abb">mCubic</a>; <span class="comment">// is this a series of 6 2D textures to make up a cube?</span>
<a name="l01173"></a>01173         
<a name="l01174"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a677d07dd4cd3562667bb734abbfb341d">01174</a>         <a class="code" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7" title="Enum identifying the texture type.">TextureType</a> <a class="code" href="classOgre_1_1TextureUnitState.html#a677d07dd4cd3562667bb734abbfb341d">mTextureType</a>; 
<a name="l01175"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a56d7162ad10f089ec8b2c3a6eb46c86a">01175</a>         <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> <a class="code" href="classOgre_1_1TextureUnitState.html#a56d7162ad10f089ec8b2c3a6eb46c86a">mDesiredFormat</a>;
<a name="l01176"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a5c3baa130f3ae269744d9fe381d11c38">01176</a>         <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1TextureUnitState.html#a5c3baa130f3ae269744d9fe381d11c38">mTextureSrcMipmaps</a>; <span class="comment">// Request number of mipmaps</span>
<a name="l01177"></a>01177 
<a name="l01178"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a0f825abfffce07c85d14a1f3e146c9a9">01178</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1TextureUnitState.html#a0f825abfffce07c85d14a1f3e146c9a9">mTextureCoordSetIndex</a>;
<a name="l01179"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a7b12601e083ad571000e0cffd5afc1d9">01179</a>         <a class="code" href="structOgre_1_1TextureUnitState_1_1UVWAddressingMode.html" title="Texture addressing mode for each texture coordinate.">UVWAddressingMode</a> <a class="code" href="classOgre_1_1TextureUnitState.html#a7b12601e083ad571000e0cffd5afc1d9">mAddressMode</a>;
<a name="l01180"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a0eb57ea895d62837a30b2c954a25126d">01180</a>         <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> <a class="code" href="classOgre_1_1TextureUnitState.html#a0eb57ea895d62837a30b2c954a25126d">mBorderColour</a>;
<a name="l01181"></a>01181 
<a name="l01182"></a><a class="code" href="classOgre_1_1TextureUnitState.html#acde3dab80bb18a1e9c207c863dc262ff">01182</a>         <a class="code" href="classOgre_1_1LayerBlendModeEx.html" title="Class which manages blending of both colour and alpha components.">LayerBlendModeEx</a> <a class="code" href="classOgre_1_1TextureUnitState.html#acde3dab80bb18a1e9c207c863dc262ff">mColourBlendMode</a>;
<a name="l01183"></a><a class="code" href="classOgre_1_1TextureUnitState.html#ab40a54bcaea6267ff0ca718fd4a5fdd2">01183</a>         <a class="code" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> <a class="code" href="classOgre_1_1TextureUnitState.html#ab40a54bcaea6267ff0ca718fd4a5fdd2">mColourBlendFallbackSrc</a>;
<a name="l01184"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a34dcbc16f2874661170fd0032ce645b3">01184</a>         <a class="code" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> <a class="code" href="classOgre_1_1TextureUnitState.html#a34dcbc16f2874661170fd0032ce645b3">mColourBlendFallbackDest</a>;
<a name="l01185"></a>01185 
<a name="l01186"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a3a4e9259b5176ce14b6218534f0b1a98">01186</a>         <a class="code" href="classOgre_1_1LayerBlendModeEx.html" title="Class which manages blending of both colour and alpha components.">LayerBlendModeEx</a> <a class="code" href="classOgre_1_1TextureUnitState.html#a3a4e9259b5176ce14b6218534f0b1a98">mAlphaBlendMode</a>;
<a name="l01187"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a4aaf331d8eafccaafad55e5a9d682a12">01187</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1TextureUnitState.html#a4aaf331d8eafccaafad55e5a9d682a12">mTextureLoadFailed</a>;
<a name="l01188"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a46856b75170d8b7e5f1eaf6a9b75ef40">01188</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1TextureUnitState.html#a46856b75170d8b7e5f1eaf6a9b75ef40">mIsAlpha</a>;
<a name="l01189"></a><a class="code" href="classOgre_1_1TextureUnitState.html#af3249049991b98a3c7d2b1fd2ec5a42f">01189</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1TextureUnitState.html#af3249049991b98a3c7d2b1fd2ec5a42f">mHwGamma</a>;
<a name="l01190"></a>01190 
<a name="l01191"></a><a class="code" href="classOgre_1_1TextureUnitState.html#ac6a71eefb751eaa7b147b933a6f03eb4">01191</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1TextureUnitState.html#ac6a71eefb751eaa7b147b933a6f03eb4">mRecalcTexMatrix</a>;
<a name="l01192"></a><a class="code" href="classOgre_1_1TextureUnitState.html#adbb7dff7456737a962a188a666694534">01192</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> mUMod, <a class="code" href="classOgre_1_1TextureUnitState.html#adbb7dff7456737a962a188a666694534">mVMod</a>;
<a name="l01193"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a09ccefafa9be317c4b3abec8234132d6">01193</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> mUScale, <a class="code" href="classOgre_1_1TextureUnitState.html#a09ccefafa9be317c4b3abec8234132d6">mVScale</a>;
<a name="l01194"></a><a class="code" href="classOgre_1_1TextureUnitState.html#af00c72d4b2f5f52dc453ad99fe864428">01194</a>         <a class="code" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a> <a class="code" href="classOgre_1_1TextureUnitState.html#af00c72d4b2f5f52dc453ad99fe864428">mRotate</a>;
<a name="l01195"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a451f6a41865f4fe17c30465c4df2c174">01195</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> <a class="code" href="classOgre_1_1TextureUnitState.html#a451f6a41865f4fe17c30465c4df2c174">mTexModMatrix</a>;
<a name="l01196"></a>01196 
<a name="l01198"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a9aa242fe4a0ea13a48381d31b849f78b">01198</a>         <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> <a class="code" href="classOgre_1_1TextureUnitState.html#a9aa242fe4a0ea13a48381d31b849f78b" title="Texture filtering - minification.">mMinFilter</a>;
<a name="l01200"></a><a class="code" href="classOgre_1_1TextureUnitState.html#aaea7aaece5d1aa316598b30638afb6c8">01200</a>         <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> <a class="code" href="classOgre_1_1TextureUnitState.html#aaea7aaece5d1aa316598b30638afb6c8" title="Texture filtering - magnification.">mMagFilter</a>;
<a name="l01202"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a75ce7828e7abfd21c5bee0eac8de121e">01202</a>         <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> <a class="code" href="classOgre_1_1TextureUnitState.html#a75ce7828e7abfd21c5bee0eac8de121e" title="Texture filtering - mipmapping.">mMipFilter</a>;
<a name="l01204"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a8f18154fdf1215a3e92347b9b903797e">01204</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1TextureUnitState.html#a8f18154fdf1215a3e92347b9b903797e" title="Texture anisotropy.">mMaxAniso</a>;
<a name="l01206"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a5190ada8aa5e3bd0280838f7f845da52">01206</a>         <span class="keywordtype">float</span> <a class="code" href="classOgre_1_1TextureUnitState.html#a5190ada8aa5e3bd0280838f7f845da52" title="Mipmap bias (always float, not Real)">mMipmapBias</a>;
<a name="l01207"></a>01207 
<a name="l01208"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a70d87ad455ba800eda429a6b88ca3970">01208</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1TextureUnitState.html#a70d87ad455ba800eda429a6b88ca3970">mIsDefaultAniso</a>;
<a name="l01209"></a><a class="code" href="classOgre_1_1TextureUnitState.html#aac714e0b0ba7e099653ffc05ba1f54e4">01209</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1TextureUnitState.html#aac714e0b0ba7e099653ffc05ba1f54e4">mIsDefaultFiltering</a>;
<a name="l01211"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a1a5e68549284202630b394270fbe6345">01211</a>         <a class="code" href="classOgre_1_1TextureUnitState.html#a411bcf3e69280ce146f09ddc73d9e7e8" title="The type of unit to bind the texture settings to.">BindingType</a> <a class="code" href="classOgre_1_1TextureUnitState.html#a1a5e68549284202630b394270fbe6345" title="Binding type (fragment or vertex pipeline)">mBindingType</a>;
<a name="l01213"></a><a class="code" href="classOgre_1_1TextureUnitState.html#ab0d0d1b22588fdfc80021a5ea664ce28">01213</a>         <a class="code" href="classOgre_1_1TextureUnitState.html#a35a108a68c71c8267af4af8c1a819030" title="Enum identifying the type of content this texture unit contains.">ContentType</a> <a class="code" href="classOgre_1_1TextureUnitState.html#ab0d0d1b22588fdfc80021a5ea664ce28" title="Content type of texture (normal loaded texture, auto-texture)">mContentType</a>;
<a name="l01215"></a><a class="code" href="classOgre_1_1TextureUnitState.html#aafb55d4e4aa5bd171fa85610bed2e975">01215</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1TextureUnitState.html#aafb55d4e4aa5bd171fa85610bed2e975" title="The index of the referenced texture if referencing an MRT in a compositor.">mCompositorRefMrtIndex</a>;
<a name="l01216"></a>01216 
<a name="l01217"></a>01217         <span class="comment">//-----------------------------------------------------------------------------</span>
<a name="l01218"></a>01218         <span class="comment">// Complex members (those that can&#39;t be copied using memcpy) are at the end to </span>
<a name="l01219"></a>01219         <span class="comment">// allow for fast copying of the basic members.</span>
<a name="l01220"></a>01220         <span class="comment">//</span>
<a name="l01221"></a><a class="code" href="classOgre_1_1TextureUnitState.html#acac723d77854ddc3e2c9e21cc26e3d92">01221</a>         <a class="code" href="structOgre_1_1vector.html">vector&lt;String&gt;::type</a> <a class="code" href="classOgre_1_1TextureUnitState.html#acac723d77854ddc3e2c9e21cc26e3d92">mFrames</a>;
<a name="l01222"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a148fc9764dce4952a5c7eb3942874e5a">01222</a>         <span class="keyword">mutable</span> <a class="code" href="structOgre_1_1vector.html">vector&lt;TexturePtr&gt;::type</a> <a class="code" href="classOgre_1_1TextureUnitState.html#a148fc9764dce4952a5c7eb3942874e5a">mFramePtrs</a>;
<a name="l01223"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a5720899cf50fe9a083b279db79a977d9">01223</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1TextureUnitState.html#a5720899cf50fe9a083b279db79a977d9">mName</a>;               <span class="comment">// optional name for the TUS</span>
<a name="l01224"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a3f509724926adbf8f088ad609a447bd1">01224</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1TextureUnitState.html#a3f509724926adbf8f088ad609a447bd1">mTextureNameAlias</a>;       <span class="comment">// optional alias for texture frames</span>
<a name="l01225"></a><a class="code" href="classOgre_1_1TextureUnitState.html#aa9886890d8f908e93aa49ee2f6737686">01225</a>         <a class="code" href="classOgre_1_1TextureUnitState.html#a169e531cd6f1f0c22e6a1c034706272b" title="Texture effects in a multimap paired array.">EffectMap</a> <a class="code" href="classOgre_1_1TextureUnitState.html#aa9886890d8f908e93aa49ee2f6737686">mEffects</a>;
<a name="l01227"></a><a class="code" href="classOgre_1_1TextureUnitState.html#abdaa1c698819857626e225f8556b8050">01227</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1TextureUnitState.html#abdaa1c698819857626e225f8556b8050" title="The data that references the compositor.">mCompositorRefName</a>;
<a name="l01228"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a5ba7cab6b07a5c3dfcfa3fa4989059df">01228</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1TextureUnitState.html#a5ba7cab6b07a5c3dfcfa3fa4989059df">mCompositorRefTexName</a>;
<a name="l01229"></a>01229         <span class="comment">//-----------------------------------------------------------------------------</span>
<a name="l01230"></a>01230 
<a name="l01231"></a>01231         <span class="comment">//-----------------------------------------------------------------------------</span>
<a name="l01232"></a>01232         <span class="comment">// Pointer members (those that can&#39;t be copied using memcpy), and MUST</span>
<a name="l01233"></a>01233         <span class="comment">// preserving even if assign from others</span>
<a name="l01234"></a>01234         <span class="comment">//</span>
<a name="l01235"></a><a class="code" href="classOgre_1_1TextureUnitState.html#a758554904569551f94a00c8658d2e03d">01235</a>         <a class="code" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a>* <a class="code" href="classOgre_1_1TextureUnitState.html#a758554904569551f94a00c8658d2e03d">mParent</a>;
<a name="l01236"></a><a class="code" href="classOgre_1_1TextureUnitState.html#aacf0a13bef6f6ceccc4414c637cbe536">01236</a>         <a class="code" href="classOgre_1_1Controller.html">Controller&lt;Real&gt;</a>* <a class="code" href="classOgre_1_1TextureUnitState.html#aacf0a13bef6f6ceccc4414c637cbe536">mAnimController</a>;
<a name="l01237"></a>01237         <span class="comment">//-----------------------------------------------------------------------------</span>
<a name="l01238"></a>01238 
<a name="l01239"></a>01239 
<a name="l01242"></a>01242         <span class="keywordtype">void</span> recalcTextureMatrix(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l01243"></a>01243 
<a name="l01246"></a>01246         <span class="keywordtype">void</span> createAnimController(<span class="keywordtype">void</span>);
<a name="l01247"></a>01247 
<a name="l01250"></a>01250         <span class="keywordtype">void</span> createEffectController(<a class="code" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html" title="Internal structure defining a texture effect.">TextureEffect</a>&amp; effect);
<a name="l01251"></a>01251 
<a name="l01253"></a>01253         <span class="keywordtype">void</span> ensurePrepared(<span class="keywordtype">size_t</span> frame) <span class="keyword">const</span>;
<a name="l01255"></a>01255         <span class="keywordtype">void</span> ensureLoaded(<span class="keywordtype">size_t</span> frame) <span class="keyword">const</span>;
<a name="l01256"></a>01256 
<a name="l01257"></a>01257 
<a name="l01258"></a>01258     };
<a name="l01259"></a>01259 
<a name="l01263"></a>01263 }
<a name="l01264"></a>01264 
<a name="l01265"></a>01265 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:52
</p>
</body>
</html>
